Index: /trunk/admin/modules/Elezioni/ele_candidato.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_candidato.php	(revision 351)
+++ /trunk/admin/modules/Elezioni/ele_candidato.php	(revision 352)
@@ -303,13 +303,13 @@
 					$num_cand++;
 				}
-				$sql="select id_gruppo from ".$prefix."_ele_lista where id_lista='$id_lista'";
-				$sth = $dbi->prepare("$sql");
-				$sth->execute();
-				list($id_gruppo)=$sth->fetch(PDO::FETCH_NUM);
-				$sql="insert into ".$prefix."_ele_candidati(id_cons,id_lista,cognome,nome,note,simbolo,num_cand) values ('$id_cons','$id_lista','$cognome','$nome','$note','$simbolo','$num_cand')";
+				$sql="select id_gruppo,num_lista from ".$prefix."_ele_lista where id_lista='$id_lista'";
+				$sth = $dbi->prepare("$sql");
+				$sth->execute();
+				list($id_gruppo,$num_lista)=$sth->fetch(PDO::FETCH_NUM);
+				$sql="insert into ".$prefix."_ele_candidati(id_cons,id_lista,num_lista,cognome,nome,note,simbolo,num_cand) values ('$id_cons','$id_lista','$num_lista','$cognome','$nome','$note','$simbolo','$num_cand')";
 				$sth = $dbi->prepare("$sql");
 				$sth->execute();
 				$result=$sth->rowCount();
-				$sql="insert into ".$prefix."_ele_log values ('$id_cons','$id_sez','$username','$data','$tempo','','ADD:id_lista:$id_lista,cognome:$cognome,nome:$nome','".$prefix."_ele_candidati')";
+				$sql="insert into ".$prefix."_ele_log values ('$id_cons','$id_sez','$username','$data','$tempo','','ADD:id_lista:$id_lista,num_lista:$num_lista,cognome:$cognome,nome:$nome','".$prefix."_ele_candidati')";
 				$sth = $dbi->prepare("$sql");
 				$sth->execute();
@@ -325,12 +325,12 @@
 		$pro= $sthcan->fetch(PDO::FETCH_BOTH);
 		
-		$sql="select id_gruppo from ".$prefix."_ele_lista where id_lista='$id_lista'";
-		$sth = $dbi->prepare("$sql");
-		$sth->execute();
-		list($id_gruppo)=$sth->fetch(PDO::FETCH_NUM);
+		$sql="select id_gruppo,num_lista from ".$prefix."_ele_lista where id_lista='$id_lista'";
+		$sth = $dbi->prepare("$sql");
+		$sth->execute();
+		list($id_gruppo,$num_lista)=$sth->fetch(PDO::FETCH_NUM);
 		$cond='';
 		if (isset($note)) {$cond=", note='$note'";}
 		if (isset($simbolo)) {$cond.=", simbolo='$simbolo'";}
-		$sql="update  ".$prefix."_ele_candidati set id_lista='$id_lista', cognome='$cognome', nome='$nome', num_cand='$num_cand' $cond where id_cand='$id_cand' ";
+		$sql="update  ".$prefix."_ele_candidati set id_lista='$id_lista', num_lista='$num_lista', cognome='$cognome', nome='$nome', num_cand='$num_cand' $cond where id_cand='$id_cand' ";
 		$sth = $dbi->prepare("$sql");
 		$sth->execute();
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 351)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 352)
@@ -413,5 +413,5 @@
 $result = $dbi->prepare("$sql");
 $result->execute();
-
+ 
 
 list($numprefs,$fascia,$id_conf,$flagsg,$disgiunto)=$result->fetch(PDO::FETCH_NUM);
@@ -797,6 +797,9 @@
 		   if (($genere==3 OR $genere==5) and (!$id_lista) and (($disgiunto or $fascia>$limite) or !$id_conf)) { //gruppo e liste
 			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._VALIDI_LISTA."</b></td><td align=\"center\"><input type=\"hidden\" name=\"id_sez\" value=\"$id_sez\"><input name=\"valista\" value=\"$valista\" size=\"5\" style=\"text-align:right\"></td></tr>";
-			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._SOLO_GRUPPO."</b></td><td align=\"center\"><input name=\"sg\" value=\"$sg\" size=\"5\" style=\"text-align:right\"></td></tr>";
-			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._NULLI_LISTE."</b></td><td align=\"center\"><input  name=\"votinulli\" value=\"$votinulli\" size=\"5\" style=\"text-align:right\">"
+			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._SOLO_GRUPPO."</b></td><td align=\"center\"><input name=\"sg\" value=\"$sg\" size=\"5\" style=\"text-align:right\">";
+			if(defined('_NULLISTA'))
+				echo "<input type=\"hidden\" name=\"votinulli\" value=\"$votinulli\"><input  type=\"hidden\" name=\"contestati\" value=\"$contestati\"></td></tr>";
+			else
+				echo "</td></tr><tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._NULLI_LISTE."</b></td><td align=\"center\"><input  name=\"votinulli\" value=\"$votinulli\" size=\"5\" style=\"text-align:right\">"
 	."</td></tr><tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._CONTESTATI_LISTE."</b></td><td align=\"center\"><input  name=\"contestati\" value=\"$contestati\" size=\"5\" style=\"text-align:right\"></td></tr>";
 			
Index: /trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/admin/modules/Elezioni/language/lang-it.php	(revision 351)
+++ /trunk/admin/modules/Elezioni/language/lang-it.php	(revision 352)
@@ -167,4 +167,5 @@
 		define("_ATT_TOT_UNI","non corrisponde al totale per il solo candidato uninominale");
 		define("_DESCRCONS","CAMERA");
+		define("_NULLISTA",0);
 		break;
         case 19:
@@ -177,4 +178,5 @@
 		define("_ATT_TOT_UNI","non corrisponde al totale per il solo candidato uninominale");
 		define("_DESCRCONS","CAMERA");
+		define("_NULLISTA",0);
 		break;
 
Index: /trunk/admin/modules/Elezioni/salva_gruppi.php
===================================================================
--- /trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 351)
+++ /trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 352)
@@ -80,5 +80,5 @@
 		$res = $dbi->prepare("$sql");
 		$res->execute();
-		$sql="update  ".$prefix."_ele_sezioni set validi_lista='',contestati_lista='',voti_nulli_lista='',solo_gruppo='',solo_lista='' where id_cons='$id_cons' and id_sez='$id_sez'";
+		$sql="update  ".$prefix."_ele_sezioni set validi_lista='0',contestati_lista='0',voti_nulli_lista='0',solo_gruppo='0',solo_lista='0' where id_cons='$id_cons' and id_sez='$id_sez'";
 		$res = $dbi->prepare("$sql");
 		$res->execute();
Index: /trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- /trunk/admin/modules/Elezioni/salva_liste.php	(revision 351)
+++ /trunk/admin/modules/Elezioni/salva_liste.php	(revision 352)
@@ -105,5 +105,5 @@
 			$res = $dbi->prepare("$sql");
 			$res->execute();
-			$sql="update  ".$prefix."_ele_sezioni set validi_lista='',contestati_lista='',voti_nulli_lista='',solo_gruppo='',solo_lista='' where id_cons='$id_cons' and id_sez='$id_sez'";
+			$sql="update  ".$prefix."_ele_sezioni set validi_lista='0',contestati_lista='0',voti_nulli_lista='0',solo_gruppo='0',solo_lista='0' where id_cons='$id_cons' and id_sez='$id_sez'";
 			$res = $dbi->prepare("$sql");
 			$res->execute();
Index: /trunk/admin/modules/Elezioni/salva_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/salva_voti.php	(revision 351)
+++ /trunk/admin/modules/Elezioni/salva_voti.php	(revision 352)
@@ -24,19 +24,19 @@
 	}             
 
-if (isset($_GET['genere'])) $genere=addslashes($_GET['genere']); else $genere='';
-if (isset($_GET['id_cons_gen'])) $id_cons_gen=addslashes($_GET['id_cons_gen']); else $id_cons_gen='';
-if (isset($_GET['id_cons'])) $id_cons=addslashes($_GET['id_cons']); else $id_cons='';
-if (isset($_GET['op'])) $op=addslashes($_GET['op']); else $op='';
-if (isset($_GET['id_circ'])) $id_circ=addslashes($_GET['id_circ']); else $id_circ='';
-if (isset($_GET['id_sez'])) $id_sez=addslashes($_GET['id_sez']); else $id_sez='';
-if (isset($_GET['id_sede'])) $id_sede=addslashes($_GET['id_sede']); else $id_sede='';
-if (isset($_GET['validi'])) $validi=addslashes($_GET['validi']); else $validi='';
+if (isset($_GET['genere'])) $genere=intval($_GET['genere']); else $genere='';
+if (isset($_GET['id_cons_gen'])) $id_cons_gen=intval($_GET['id_cons_gen']); else $id_cons_gen='';
+if (isset($_GET['id_cons'])) $id_cons=intval($_GET['id_cons']); else $id_cons='';
+if (isset($_GET['op'])) $op=intval($_GET['op']); else $op='';
+if (isset($_GET['id_circ'])) $id_circ=intval($_GET['id_circ']); else $id_circ='';
+if (isset($_GET['id_sez'])) $id_sez=intval($_GET['id_sez']); else $id_sez='';
+if (isset($_GET['id_sede'])) $id_sede=intval($_GET['id_sede']); else $id_sede='';
+if (isset($_GET['validi'])) $validi=intval($_GET['validi']); else $validi='';
 if (isset($_GET['nulli'])) $nulli=intval($_GET['nulli']); else $nulli='';
-if (isset($_GET['bianchi'])) $bianchi=addslashes($_GET['bianchi']); else $bianchi='';
-if (isset($_GET['contestati'])) $contestati=addslashes($_GET['contestati']); else $contestati='';
-if (isset($_GET['votinulli'])) $votinulli=addslashes($_GET['votinulli']); else $votinulli='01-01-1900';
-if (isset($_GET['id_comune'])) $id_comune=addslashes($_GET['id_comune']); else $id_comune='';
-if (isset($_GET['ops'])) $ops=addslashes($_GET['ops']); else $ops='';
-if (isset($_GET['delete'])) $delete=addslashes($_GET['delete']); else $delete='';
+if (isset($_GET['bianchi'])) $bianchi=intval($_GET['bianchi']); else $bianchi='';
+if (isset($_GET['contestati'])) $contestati=intval($_GET['contestati']); else $contestati='';
+if (isset($_GET['votinulli'])) $votinulli=intval($_GET['votinulli']); else $votinulli='01-01-1900';
+if (isset($_GET['id_comune'])) $id_comune=intval($_GET['id_comune']); else $id_comune='';
+if (isset($_GET['ops'])) $ops=intval($_GET['ops']); else $ops='';
+if (isset($_GET['delete'])) $delete=intval($_GET['delete']); else $delete='';
 
 global $prefix,$id_parz,$genere,$fileout,$id_cons;
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 351)
+++ /trunk/admin/versione.php	(revision 352)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 351";
+$versione = "3.0 rev 352";
 $version_number = $versione;
-$datarel = "27 maggio 2021";
+$datarel = "30 luglio 2021";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/affluenze.php	(revision 351)
+++ /trunk/client/modules/Elezioni/affluenze.php	(revision 352)
@@ -224,5 +224,5 @@
 #		if(($data==$ultdata) and ($ora==$ultora))
 		{
-			$tot[$data.$ora]="<table class=\"td-89\" width=\"100%\"><tr class=\"bggray2\"><td class=\"td-30\">
+			$tot[$data.$ora]="<table class=\"td-89\"><tr class=\"bggray2\"><td class=\"td-30\">
 			<b>".number_format($votiu,0,',','.')."</b></td><td class=\"td-30\">
 			<b>".number_format($votid,0,',','.')."</b></td><td>
Index: /trunk/client/modules/Elezioni/blocchi/off_Votanti.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/off_Votanti.php	(revision 351)
+++ /trunk/client/modules/Elezioni/blocchi/off_Votanti.php	(revision 352)
@@ -84,19 +84,18 @@
 
 		    
-		
-		echo "<table bgcolor=\"gray\" class=\"modulo\" width=\"100%\" cellspacing=\"1\">";
+		echo "<table style=\"width=100%;border-collapse: collapse;background-gcolor:gray\" class=\"modulo\">";
 		if ($genere==0) {echo "<br/>Referendum n. <b>[$num_gruppo]</b><br/>";}
 		echo "
-		<tr bgcolor=\"#ffffff\"><td ><b>"._AVENTI."</b></td><td>$tot_aventi</td><td><span class=\"red\">100%</span></td></tr>
+		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\"><b>"._AVENTI."</b></td><td>$tot_aventi</td><td><span class=\"red\">100%</span></td></tr>
 
-		<tr bgcolor=\"#ffffff\"><td><b>"._VOTANTI."</b></td><td>$tot_votanti</td><td><span class=\"red\">$perc_votanti%</span></td></tr>
+		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\"><b>"._VOTANTI."</b></td><td>$tot_votanti</td><td><span class=\"red\">$perc_votanti%</span></td></tr>
 		
-		<tr bgcolor=\"#ffffff\"><td>"._VALIDI."</td><td>$validi</td><td><span class=\"red\">$perc_validi%</span></td></tr>
+		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\">"._VALIDI."</td><td>$validi</td><td><span class=\"red\">$perc_validi%</span></td></tr>
 		
-		<tr bgcolor=\"#ffffff\"><td>"._NULLI."</td><td>$nulli</td><td><span class=\"red\">$perc_nulli%</span></td></tr>
+		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\">"._NULLI."</td><td>$nulli</td><td><span class=\"red\">$perc_nulli%</span></td></tr>
 		
-		<tr bgcolor=\"#ffffff\"><td>"._BIANCHI."</td><td>$bianchi</td><td><span class=\"red\">$perc_bianchi%</span></td></tr>
+		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\">"._BIANCHI."</td><td>$bianchi</td><td><span class=\"red\">$perc_bianchi%</span></td></tr>
 		
-		<tr bgcolor=\"#ffffff\"><td>"._CONTESTATI."</td><td>$contestati</td><td><span class=\"red\">$perc_conte%</span></td></tr>
+		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\">"._CONTESTATI."</td><td>$contestati</td><td><span class=\"red\">$perc_conte%</span></td></tr>
 
 		</table>";
Index: /trunk/client/modules/Elezioni/confronti.php
===================================================================
--- /trunk/client/modules/Elezioni/confronti.php	(revision 351)
+++ /trunk/client/modules/Elezioni/confronti.php	(revision 352)
@@ -183,8 +183,8 @@
 		if($grp3)echo "<input type=\"hidden\" name=\"grp3\" value=\"$grp3\"/>";
 		echo "<br/>";
-		echo "<table cellspacing=\"0\" cellpadding=\"2\" border=\"1\"><tr class=\"bggray\"><td bgcolor=\"$bgcolor1\" colspan=\"5\">"._CONSULTAZIONE.": <b>$descr</b><br/>"._SCELTA_LISTE."</td></tr><tr class=\"bggray\"><td bgcolor=\"$bgcolor1\" colspan=\"2\"></td>";
-		if($grp1)echo "<td bgcolor=\"$bgcolor1\"><b>$grp1</b></td>";
-		if($grp2)echo "<td bgcolor=\"$bgcolor1\"><b>$grp2</b></td>";
-		echo "<td bgcolor=\"$bgcolor1\"><b>"._ALTROGRP."</b></td>";
+		echo "<table style=\"border-collapse: collapse; border: 2px solid black;\"><tr class=\"bggray\"><td style=\"padding:5px;background-color:$bgcolor1;\">"._CONSULTAZIONE.": <b>$descr</b><br/>"._SCELTA_LISTE."</td></tr><tr class=\"bggray\"><td style=\"padding:2px;background-color:$bgcolor1;\"></td>";
+		if($grp1)echo "<td style=\"background-color:$bgcolor1;\"><b>$grp1</b></td>";
+		if($grp2)echo "<td style=\"background-color:$bgcolor1;\"><b>$grp2</b></td>";
+		echo "<td style=\"background-color:$bgcolor1;\"><b>"._ALTROGRP."</b></td>";
 		echo "</tr>";
 			$z=1;
Index: /trunk/client/modules/Elezioni/crea_paginaphp5.php
===================================================================
--- /trunk/client/modules/Elezioni/crea_paginaphp5.php	(revision 351)
+++ /trunk/client/modules/Elezioni/crea_paginaphp5.php	(revision 352)
@@ -112,5 +112,5 @@
 
 	
-	$html .= "<table class=\"table-docs\" cellspacing=\"0\" cellpadding=\"2\" border=\"1\" rules=\"all\">";
+	$html .= "<table class=\"table-docs\" style=\"border-collapse: collapse;border:=1px solid black;\">";
 	
 
@@ -246,9 +246,9 @@
 
 
-		$style .="<table style=\"margin: auto;\" cellspace=0 border=0 cellpadding=0><tr><td border=0>$immagine</td> ";	
+		$style .="<table style=\"margin: auto;border-collapse: collapse;\"><tr><td border=0>$immagine</td> ";	
 	
 		$style .= "<td border=0>$datipdf</td></tr></table><br/><br/>";
 		$style .= "<table style=\"margin: auto;\"><tr><td>$html</td></tr></table>";
-		$style .= "<table style=\"margin: auto;\" cellspace=0 border=0 cellpadding=0><tr><td border=0>";
+		$style .= "<table style=\"margin: auto;border-collapse: collapse;\"><tr><td border=0>";
 
 		$data=date("d-m-y G:i");
Index: /trunk/client/modules/Elezioni/crea_paginaphp7.php
===================================================================
--- /trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 351)
+++ /trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 352)
@@ -115,5 +115,5 @@
 
 	
-	$html .= "<table class=\"table-docs\" cellspacing=\"0\" cellpadding=\"2\" border=\"1\" rules=\"all\">";
+	$html .= "<table class=\"table-docs\" style=\"border-collapse: collapse;border:=1px solid black;\">";
 	
 
@@ -143,5 +143,5 @@
 			}					
 				$html .= "$t $i>$cella $f";
-					$i='';
+					$i="class=\"td-130b\"";
 				
 			}
@@ -164,4 +164,8 @@
 		  echo $html;
 	        }else{
+
+#			padding: 1px;
+#			border: solid  #666666;
+			/* margin: 4px 4px 40px;*/
 
 		$style ="     
@@ -170,9 +174,7 @@
 		.table-docs {
 			font-size: 10px;
-			padding: 1px;
 			color: #000000;
-			/* margin: 4px 4px 40px;*/
-			border: solid  #666666;
 			text-align:center;
+			border: 1px solid black;
 		}
 		.bggray 	{
@@ -180,5 +182,4 @@
 			FONT-SIZE: 13px; 
 			FONT-FAMILY: Helvetica;
-			border: 1px;
 		}
 
@@ -187,5 +188,4 @@
 			FONT-SIZE: 13px; 
 			FONT-FAMILY: Helvetica;
-			border: 1px;
 			}
 
@@ -216,12 +216,11 @@
 			float: right;
 			text-align:left;
-			margin: 0px 0 0 1px;
+			margin: 0px 0px 0px 1px;
 			width: 130px;	
-			border: none;
-			padding: 0px;
+			border: 1px solid black;
 		}		
 
 		td {
-		    border: .2px;
+		    border: 2px solid black;
 		}
 		.red 	{
@@ -249,9 +248,9 @@
 
 
-		$style .="<table style=\"margin: auto;\" cellspace=0 border=0 cellpadding=0><tr><td border=0>$immagine</td> ";	
+		$style .="<table style=\"margin: auto;border-collapse: collapse;\"><tr><td border=0>$immagine</td> ";	
 	
 		$style .= "<td border=0>$datipdf</td></tr></table><br/><br/>";
 		$style .= "<table style=\"margin: auto;\"><tr><td>$html</td></tr></table>";
-		$style .= "<table style=\"margin: auto;\" cellspace=0 border=0 cellpadding=0><tr><td border=0>";
+		$style .= "<table style=\"margin: auto;border-collapse: collapse;\"><tr><td border=0>";
 
 		$data=date("d-m-y G:i");
Index: /trunk/client/modules/Elezioni/grafici.php
===================================================================
--- /trunk/client/modules/Elezioni/grafici.php	(revision 351)
+++ /trunk/client/modules/Elezioni/grafici.php	(revision 352)
@@ -499,5 +499,5 @@
 			<tr>
 				<td><br />
-					<table cellspacing=\"0\" cellpadding=\"2\" rules=\"cols\">";
+					<table style=\"border-collapse: collapse;\" rules=\"cols\">";
 					// inizio tabella dati
                 			// variabili stampa flash
@@ -564,5 +564,5 @@
 				$bgcolor1= ($bgcolor1=="#cacaca") ? "#ffffff":"#cacaca";
 				echo "<tr valign=\"top\">
-				<td valign=\"top\"><b><img src=\"modules.php?name=Elezioni&amp;file=foto&amp;$cosa=$id\" class=\"stemmapic\" alt=\"descrizione\" /></b></td>
+				<td style=\"vertical-align=:top;\"><b><img src=\"modules.php?name=Elezioni&amp;file=foto&amp;$cosa=$id\" class=\"stemmapic\" alt=\"descrizione\" /></b></td>
 			<td><b>$descrizione</b></td>
 			<td>"._VOTI."</td><td align=\"right\">$votiv</td><td align=\"right\"> <i>($prov%)</i></td>
@@ -601,5 +601,5 @@
 		global $tema;
 		if($tema!="tour") echo "</tr><tr>";
-		echo "<td valign=\"top\"><br />";
+		echo "<td style=\"vertical-align=:top;\"><br />";
 		# grafico statico
 		echo "<img  src='modules/Elezioni/grafici/barre.php?dati1=$dati1&amp;dati2=$dati2&amp;i=$i&amp;cop=$copy&amp;titolo=$titolo&amp;descr=$descr_cons&amp;l=$l&amp;w=$w&amp;logo=$logo'  alt=\"Grafico\" />";
Index: /trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- /trunk/client/modules/Elezioni/gruppo.php	(revision 351)
+++ /trunk/client/modules/Elezioni/gruppo.php	(revision 352)
@@ -299,8 +299,8 @@
 
 			if ($circo) $condcirc="and t5.id_circ=$id_circ";			
-			if ($tab=="gruppo" or $genere==4 or ($genere==5 and $votog))
+			if ($tab=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA'))
 					$votigl=" sum(t3.validi),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli)";
 			else
-				if ($votog) $votigl=" (t3.validi_lista),(t3.nulli),(t3.bianchi),(t3.contestati),(t3.voti_nulli)";
+				if ($votog) $votigl=" (t3.validi_lista),(t3.nulli),(t3.bianchi),(t3.contestati),(t3.voti_nulli_lista+t3.voti_nulli)";
 				else $votigl=" sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati_lista),sum(t3.voti_nulli_lista+t3.voti_nulli)";
 			$sqlvoti="select $tab2, $t.num_$tab15, $t.descrizione, sum(t2.voti), $votigl
@@ -576,8 +576,8 @@
 			$maxpos=max($pos);
 			////////////////////////////////////////////////////////////////////
-			if ($tab=="gruppo" or $genere==4 or ($genere==5 and $votog))
+			if ($tab=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA'))
 					$sqlvoti2="select $tab3, sum(t3.validi),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli) from ".$prefix."_ele_circoscrizione as t5, ".$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4 where t5.id_cons=$id_cons and t5.id_circ=t4.id_circ and t3.id_sede=t4.id_sede group by $tab3";
 			else
-				if (strstr( $op,'circo')) $sqlvoti2="select t1.num_circ, sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli) from ".$prefix."_ele_circoscrizione as t1, ".$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4 where t1.id_cons=$id_cons and t1.id_circ=t4.id_circ and t3.id_sede=t4.id_sede group by t1.num_circ";
+				if (strstr( $op,'circo')) $sqlvoti2="select t1.num_circ, sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli_lista+t3.voti_nulli) from ".$prefix."_ele_circoscrizione as t1, ".$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4 where t1.id_cons=$id_cons and t1.id_circ=t4.id_circ and t3.id_sede=t4.id_sede group by t1.num_circ";
 
                 else $sqlvoti2="select t3.num_sez, (t3.validi_lista),(t3.nulli),(t3.bianchi),(t3.contestati_lista),(t3.voti_nulli_lista+t3.voti_nulli) from ".$prefix."_ele_sezioni as t3 where t3.id_cons=$id_cons ";
@@ -612,5 +612,5 @@
 			}
 			$piuvot=0;
-			if ($visvot!='cand') $piuvot=5;
+			if ($visvot!='cand') if(!defined('_NULLISTA')) $piuvot=5; else $piuvot=4;
 			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
 			if (strstr( $op,'circo'))
@@ -678,5 +678,5 @@
 							$ar[0][$posvoti+3]='<b>Schede Bianche</b>';
 							$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
-							$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
+							if(!defined('_NULLISTA')) $ar[0][$posvoti+5]='<b>Voti Nulli</b>';
 							if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
 							//$posvoti++;
@@ -685,5 +685,5 @@
 								$ar[($z)][$posvoti+3]="<b>$biasez[$z]</b>";
 								$ar[($z)][$posvoti+4]="<b>$consez[$z]</b>";
-								$ar[($z)][$posvoti+5]="<b>$vonsez[$z]</b>"; 
+								if(!defined('_NULLISTA')) $ar[($z)][$posvoti+5]="<b>$vonsez[$z]</b>"; 
 							}
 						} 
@@ -695,5 +695,5 @@
 					if(isset($temp)) {
 					if (!isset($tab15) or !$tab15) $tab15="candidati";
-                    if($tab15=="gruppo" or $genere==4){
+                    if($tab15=="gruppo" or $genere==4 or defined('_NULLISTA')){
 						if($votog) $tab15="lista";
 						$votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
@@ -702,5 +702,5 @@
                     }else{
                         if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista+voti_nulli)";
-						else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
+						else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista+voti_nulli)";
                     }
                     if($circo) 
@@ -729,5 +729,6 @@
 				if ($visvot!='cand') {
 				$key=$offset+1;
-				$tmp=array($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot);
+				if(!defined('_NULLISTA')) $tmp=array($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot);
+				else  $tmp=array($sevaltot,$senultot,$sebiatot,$secontot);
 				if($perc) $temp3=arrayperc($tmp,$voticompl);
 
Index: /trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- /trunk/client/modules/Elezioni/language/lang-it.php	(revision 351)
+++ /trunk/client/modules/Elezioni/language/lang-it.php	(revision 352)
@@ -488,4 +488,5 @@
 		define("_DESCRCONS","CAMERA");
 		define("_CONSI","Candidato");
+		define("_NULLISTA",0);
 		break;
     case 19:
@@ -501,4 +502,5 @@
 		define("_DESCRCONS","CAMERA");
 		define("_CONSI","Candidato");
+		define("_NULLISTA",0);
 		break;
 
Index: /trunk/client/temi/Futura2/style.css
===================================================================
--- /trunk/client/temi/Futura2/style.css	(revision 351)
+++ /trunk/client/temi/Futura2/style.css	(revision 352)
@@ -458,12 +458,17 @@
 }
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 .td-vuoto {
 	
Index: /trunk/client/temi/altro/index.php
===================================================================
--- /trunk/client/temi/altro/index.php	(revision 351)
+++ /trunk/client/temi/altro/index.php	(revision 352)
@@ -16,5 +16,5 @@
 
 
-echo '<table width="798" border="0" cellspacing="0" cellpadding="0">
+echo '<table style=\"width:798; border-width:0\">
       <tr>
         <td class="logoleft"></td>
@@ -33,5 +33,5 @@
 if ($file=="index") menu();
 
-	echo "<table  class=\"table-main\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
+	echo "<table  class=\"table-main\"><tr>";
 	$check=check_block("dx"); // check exist box
 		
Index: /trunk/client/temi/altro/menu.php
===================================================================
--- /trunk/client/temi/altro/menu.php	(revision 351)
+++ /trunk/client/temi/altro/menu.php	(revision 352)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         echo "\n";
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;width=100%;"><tr><td>
+	echo ' <table style="border:0px;text-align:left;width:100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
 		  <header class="main-header">
 		<ul class="main-nav">	    
@@ -56,5 +56,5 @@
 		      while (list($id,$descrizione,)=$rescomu->fetch(PDO::FETCH_NUM)){
 			    echo "<li><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id&amp;file=index\">
-    <img src=\"modules/Elezioni/images/logo.gif\" width=\"16\" height=\"16\" class=\"nobordo\"> $descrizione</a></li>";
+    <img src=\"modules/Elezioni/images/logo.gif\" width=\"16\" height=\"16\" class=\"nobordo\" alt=\"logo\"> $descrizione</a></li>";
 			}
 		      echo "</ul></li>";
Index: /trunk/client/temi/altro/style.css
===================================================================
--- /trunk/client/temi/altro/style.css	(revision 351)
+++ /trunk/client/temi/altro/style.css	(revision 352)
@@ -289,12 +289,17 @@
 	
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 	
 /* sinistra */
Index: /trunk/client/temi/blog/index.php
===================================================================
--- /trunk/client/temi/blog/index.php	(revision 351)
+++ /trunk/client/temi/blog/index.php	(revision 352)
@@ -30,5 +30,5 @@
 
 		if ($file=="index") menu();
-echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr>";
+echo "<table style=\"border-collapse: collapse;\"><tr>";
 
 	 
Index: /trunk/client/temi/blog/menu.php
===================================================================
--- /trunk/client/temi/blog/menu.php	(revision 351)
+++ /trunk/client/temi/blog/menu.php	(revision 352)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+	echo ' <table style="border:0px;text-align:left;width=100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
 		<ul class="main-nav">	    
 		<li>
Index: /trunk/client/temi/blog/style.css
===================================================================
--- /trunk/client/temi/blog/style.css	(revision 351)
+++ /trunk/client/temi/blog/style.css	(revision 352)
@@ -81,5 +81,5 @@
 
 #page {
-	width: 980px;
+	width: 1100px;
 	margin: 0 auto;
 	padding: 60px 0px;
@@ -570,12 +570,17 @@
 }
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 .td-vuoto {
 	
Index: /trunk/client/temi/default/index.php
===================================================================
--- /trunk/client/temi/default/index.php	(revision 351)
+++ /trunk/client/temi/default/index.php	(revision 352)
@@ -29,5 +29,5 @@
 	if ($file=="index") menu();
 
-	echo "<table class=\"table-main\"  cellpadding=\"0\" cellspacing=\"0\"><tr>";
+	echo "<table class=\"table-main\"><tr>";
 	$check=check_block("dx"); // check exist box
 		
Index: /trunk/client/temi/default/menu.php
===================================================================
--- /trunk/client/temi/default/menu.php	(revision 351)
+++ /trunk/client/temi/default/menu.php	(revision 352)
@@ -25,6 +25,6 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
        
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
-  <header class="main-header">
+	echo ' <table style="border:0px;text-align:left;width=100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
+		<header class="main-header">
 		<ul class="main-nav">	    
 		<li>
Index: /trunk/client/temi/default/style.css
===================================================================
--- /trunk/client/temi/default/style.css	(revision 351)
+++ /trunk/client/temi/default/style.css	(revision 352)
@@ -458,12 +458,17 @@
 }
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 .td-vuoto {
 	
Index: /trunk/client/temi/facebook/index.php
===================================================================
--- /trunk/client/temi/facebook/index.php	(revision 351)
+++ /trunk/client/temi/facebook/index.php	(revision 352)
@@ -26,5 +26,5 @@
 	if ($file=="index") menu();
 	
-	echo "<table  class=\"table-main\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
+	echo "<table  class=\"table-main\"><tr>";
 	$check=check_block("dx"); // check exist box
 		
Index: /trunk/client/temi/facebook/style.css
===================================================================
--- /trunk/client/temi/facebook/style.css	(revision 351)
+++ /trunk/client/temi/facebook/style.css	(revision 352)
@@ -333,12 +333,17 @@
 	
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 
 .td-big {
Index: /trunk/client/temi/realistic/index.php
===================================================================
--- /trunk/client/temi/realistic/index.php	(revision 351)
+++ /trunk/client/temi/realistic/index.php	(revision 352)
@@ -89,5 +89,5 @@
 	//if ($file=="index") menu();
 
-	echo "<table class=\"table-main\"  cellpadding=\"0\" cellspacing=\"0\"><tr>";
+	echo "<table class=\"table-main;\"><tr>";
 	$check=check_block("dx"); // check exist box
 		
Index: /trunk/client/temi/realistic/style.css
===================================================================
--- /trunk/client/temi/realistic/style.css	(revision 351)
+++ /trunk/client/temi/realistic/style.css	(revision 352)
@@ -459,12 +459,17 @@
 }
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}	
 .td-vuoto {
 	
Index: /trunk/client/temi/spectral/style.css
===================================================================
--- /trunk/client/temi/spectral/style.css	(revision 351)
+++ /trunk/client/temi/spectral/style.css	(revision 352)
@@ -466,12 +466,19 @@
 	
 }
+
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
+	padding: 0px;
 	color:#000;
-	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
 }		
 .td-vuoto {
Index: /trunk/client/temi/stylized/menu.php
===================================================================
--- /trunk/client/temi/stylized/menu.php	(revision 351)
+++ /trunk/client/temi/stylized/menu.php	(revision 352)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+	echo ' <table style="border:0px;text-align:left;width=100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
 		<header class="main-header">
 		<ul class="main-nav">	    
Index: /trunk/client/temi/stylized/style.css
===================================================================
--- /trunk/client/temi/stylized/style.css	(revision 351)
+++ /trunk/client/temi/stylized/style.css	(revision 352)
@@ -388,12 +388,17 @@
 }	
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}	
 	
 /* sinistra */
Index: /trunk/client/temi/tour/index.php
===================================================================
--- /trunk/client/temi/tour/index.php	(revision 351)
+++ /trunk/client/temi/tour/index.php	(revision 352)
@@ -73,5 +73,5 @@
         <h1>';
 		echo "<a href=\"modules.php?name=Elezioni\"> $descr_com</a>";
-echo '</a></h1>
+echo '</h1>
 	<b>consultazioni elettorali on line </b> <a href="http://www.eleonline.it"> <i>by l.apolito e r.gigli</i></a>
 	<br/>
Index: /trunk/client/temi/tour/menu.php
===================================================================
--- /trunk/client/temi/tour/menu.php	(revision 351)
+++ /trunk/client/temi/tour/menu.php	(revision 352)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+	echo ' <table style="border:0px;text-align:left;width=100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
 		<ul class="main-nav">	    
 		<li>
Index: /trunk/client/temi/tour/style.css
===================================================================
--- /trunk/client/temi/tour/style.css	(revision 351)
+++ /trunk/client/temi/tour/style.css	(revision 352)
@@ -74,5 +74,5 @@
 
 #page {
-	width: 970px;
+	width: 1100px;
 	margin: 0 auto;
 	padding: 30px 0;
@@ -366,11 +366,16 @@
 }	
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
 }		
 	
Index: /trunk/client/temi/yellowblu/index.php
===================================================================
--- /trunk/client/temi/yellowblu/index.php	(revision 351)
+++ /trunk/client/temi/yellowblu/index.php	(revision 352)
@@ -52,5 +52,5 @@
 echo '
 	 <div id="page">'; 
-		echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr>";
+		echo "<table style=\"border-collapse: collapse;\"><tr>";
 
 	 
Index: /trunk/client/temi/yellowblu/menu.php
===================================================================
--- /trunk/client/temi/yellowblu/menu.php	(revision 351)
+++ /trunk/client/temi/yellowblu/menu.php	(revision 352)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+	echo ' <table style="border:0px;text-align:left;width=100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
 	     <header class="main-header">
 		<ul class="main-nav">	    
Index: /trunk/client/temi/yellowblu/style.css
===================================================================
--- /trunk/client/temi/yellowblu/style.css	(revision 351)
+++ /trunk/client/temi/yellowblu/style.css	(revision 352)
@@ -103,5 +103,5 @@
 
 #page {
-	width: 970px;
+	width: 1100px;
 	margin: 0 auto;
 	padding: 30px 0;
@@ -446,12 +446,17 @@
 }	
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
 	padding: 0px;
-}		
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 	
 /* sinistra */
@@ -607,5 +612,5 @@
   margin: 0px 0px 0px 5px;
   width: 95px;
-  border: 1px solid #6A6A6A;<div class=\"dx\">";
+  border: 1px solid #6A6A6A;
   font-family: helvetica,arial,sans-serif;
   font-size: 10px;
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 351)
+++ /trunk/client/versione.php	(revision 352)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 351";
+$versione = "3.0 rev 352";
 $version_number = $versione;
-$datarel = "27 maggio 2021";
+$datarel = "30 luglio 2021";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
